Error reported when creating ZFS pool with "-t" option, despite successful pool creation

Bug #1769937 reported by Prakash Surya on 2018-05-08
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Colin Ian King
Xenial
Medium
Colin Ian King
Bionic
Medium
Colin Ian King
Cosmic
Medium
Colin Ian King
zfs-linux (Ubuntu)
Medium
Colin Ian King
Xenial
Medium
Colin Ian King
Bionic
Medium
Colin Ian King
Cosmic
Medium
Colin Ian King

Bug Description

== SRU Justification, Xenial, Bionic ==

Bug:

When creating a pool with the -t option on Ubuntu 18.04 LTS, it will report an error and return a non-zero exit code, but the pool appears to be successfully created.

For example:

# zpool create -O canmount=off -O mountpoint=none -R /mnt/rpool-25582 -t rpool-25582 rpool /dev/mapper/loop2p1
cannot create 'rpool': no such pool or dataset
# zpool list
NAME SIZE ALLOC FREE EXPANDSZ FRAG CAP DEDUP HEALTH ALTROOT
rpool-25582 69.5G 92.5K 69.5G - 0% 0% 1.00x ONLINE /mnt/rpool-25582
# zpool export rpool-25582
# zpool import rpool
# zpool list
NAME SIZE ALLOC FREE EXPANDSZ FRAG CAP DEDUP HEALTH ALTROOT
rpool 69.5G 134K 69.5G - 0% 0% 1.00x ONLINE -

I opened an upstream bug against ZFS on Linux, here: https://github.com/zfsonlinux/zfs/issues/7502

And it has been recently fixed, here: https://github.com/zfsonlinux/zfs/pull/7509

Can this upstream fix be pulled into the Ubuntu 18.04 LTS packages?

Thanks,
Prakash

== Fix ==

Upstream zfs commit 4ceb8dd6fdfd ("Fix 'zpool create -t <tempname>'")

== Test ==

Without the fix, creating a pool with -t will show an error message such as:

"cannot create 'rpool': no such pool or dataset" and will return an error number even though it successfully created the pool. With the fix, the error is not shown and it exits with 0.

E.g.

pool create -O canmount=off -O mountpoint=none -R /mnt/rpool-25582 -t rpool-25582 rpool /dev/mapper/loop2p1
cannot create 'rpool': no such pool or dataset

== Regression Potential ==

Small. This is an upstream fix that is know to fix the error. There are no known subsequent changes to the fix hence suggesting it is a good fix. The change is very limited and testing shows it does not break any of the kernel team's ZFS regression testing.

CVE References

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in zfs-linux (Ubuntu):
status: New → Confirmed
Changed in zfs-linux (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → High
importance: High → Medium
assignee: nobody → Colin Ian King (colin-king)
Colin Ian King (colin-king) wrote :

Thanks for the fix. I will add this to Cosmic and SRU this for Bionic and Xenial.

Changed in linux (Ubuntu Cosmic):
assignee: nobody → Colin Ian King (colin-king)
Changed in zfs-linux (Ubuntu Bionic):
assignee: nobody → Colin Ian King (colin-king)
Changed in zfs-linux (Ubuntu Xenial):
assignee: nobody → Colin Ian King (colin-king)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Colin Ian King (colin-king)
Changed in linux (Ubuntu Xenial):
assignee: nobody → Colin Ian King (colin-king)
Changed in zfs-linux (Ubuntu Bionic):
importance: Undecided → Medium
Changed in zfs-linux (Ubuntu Xenial):
importance: Undecided → Medium
Changed in linux (Ubuntu Cosmic):
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1769937

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Bionic):
status: New → Incomplete
Changed in linux (Ubuntu Xenial):
status: New → Incomplete
description: updated
Seth Forshee (sforshee) on 2018-09-13
Changed in linux (Ubuntu Cosmic):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zfs-linux - 0.7.9-3ubuntu6

---------------
zfs-linux (0.7.9-3ubuntu6) cosmic; urgency=medium

  * Fix error exit when using -t option (LP: #1769937)
    - Upstream ZFS fix 4ceb8dd6fdfd ("Fix 'zpool create -t <tempname>'")
      fixes error message and error exit when using the -t option
      when creating a pool.

 -- Colin Ian King <email address hidden> Wed, 12 Sep 2018 10:31:47 +0100

Changed in zfs-linux (Ubuntu Cosmic):
status: In Progress → Fix Released
Prakash Surya (pkashsurya) wrote :

Will the fix for this eventually go into the Bionic release? Thanks!

Colin Ian King (colin-king) wrote :

Yes, it's being SRU'd - changes have to land in the kernel and get released there, so it will take a few weeks.

Prakash Surya (pkashsurya) wrote :

Thank you! I'm new to the Ubuntu process/terminology, so I wasn't sure how to interpret the other comments. Thanks for the clarification.

Hello Prakash, or anyone else affected,

Accepted zfs-linux into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/zfs-linux/0.7.5-1ubuntu16.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in zfs-linux (Ubuntu Bionic):
status: New → Fix Committed
Prakash Surya (pkashsurya) wrote :

I still see the failure:

$ sudo zpool create -O canmount=off -O mountpoint=none -R /mnt/rpool-25582 -t rpool-25582 rpool /dev/mapper/loop4p1
cannot create 'rpool': no such pool or dataset

$ dpkg -l | grep zfs
ii libzfs2linux 0.7.5-1ubuntu16.4 amd64 OpenZFS filesystem library for Linux
ii zfs-zed 0.7.5-1ubuntu16.4 amd64 OpenZFS Event Daemon
ii zfsutils-linux 0.7.5-1ubuntu16.4 amd64 command-line tools to manage OpenZFS filesystems
$ dpkg -l | grep linux-aws
ii linux-aws 4.15.0.1023.23 amd64 Complete Linux kernel for Amazon Web Services (AWS) systems.
ii linux-aws-headers-4.15.0-1007 4.15.0-1007.7 all Header files related to Linux kernel version 4.15.0
ii linux-aws-headers-4.15.0-1010 4.15.0-1010.10 all Header files related to Linux kernel version 4.15.0
ii linux-aws-headers-4.15.0-1021 4.15.0-1021.21 all Header files related to Linux kernel version 4.15.0
ii linux-aws-headers-4.15.0-1023 4.15.0-1023.23 all Header files related to Linux kernel version 4.15.0

$ uname -r
4.15.0-1023-aws

$ dmesg | grep ZFS
[ 8.174263] ZFS: Loaded module v0.7.5-1ubuntu16.3, ZFS pool version 5000, ZFS filesystem version 5

The running zfs kernel module is version "v0.7.5-1ubuntu16.3" (these modules come from the kernel package, afaik) while the userspace packages are version "0.7.5-1ubuntu16.4". Is this correct?

FWIW, I added this line to /etc/apt/sources.list:

deb http://archive.ubuntu.com/ubuntu/ bionic-proposed restricted main multiverse universe

and then I ran the following to update my system:

$ sudo apt-get update
$ sudo apt-get dist-upgrade

Please let me know if I did anything incorrectly.

Stefan Bader (smb) on 2018-10-01
Changed in linux (Ubuntu Bionic):
status: Incomplete → Fix Committed
Colin Ian King (colin-king) wrote :

@Prakash, you will require the 4.15 Bionic kernel as well, this commit has only just been committed to the kernel source, so please wait until this is released in a couple of weeks.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Prakash Surya (pkashsurya) wrote :

Looks good to me; thanks!

$ sudo zpool create -f -O canmount=off -O mountpoint=none -R /mnt/rpool-25582 -t rpool-25582 rpool /dev/mapper/loop5p1
$ sudo zfs list
NAME USED AVAIL REFER MOUNTPOINT
rpool-25582 105K 7.69G 24K none

$ sudo zpool export rpool-25582
$ sudo zpool import -d /dev/mapper rpool
$ sudo zfs list
NAME USED AVAIL REFER MOUNTPOINT
rpool 110K 7.69G 24K none

$ uname -r
4.15.0-1024-aws
$ dmesg | grep ZFS
[ 8.129843] ZFS: Loaded module v0.7.5-1ubuntu16.4, ZFS pool version 5000, ZFS filesystem version 5

tags: added: verification-done-bionic
removed: verification-needed-bionic

The verification of the Stable Release Update for zfs-linux has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zfs-linux - 0.7.5-1ubuntu16.4

---------------
zfs-linux (0.7.5-1ubuntu16.4) bionic; urgency=medium

  * Fix error exit when using -t option (LP: #1769937)
    - Upstream ZFS fix 4ceb8dd6fdfd ("Fix 'zpool create -t <tempname>'")
      fixes error message and error exit when using the -t option
      when creating a pool.

 -- Colin Ian King <email address hidden> Wed, 12 Sep 2018 10:31:47 +0100

Changed in zfs-linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (60.2 KiB)

This bug was fixed in the package linux - 4.18.0-9.10

---------------
linux (4.18.0-9.10) cosmic; urgency=medium

  * linux: 4.18.0-9.10 -proposed tracker (LP: #1796346)

  * Cosmic update: v4.18.12 upstream stable release (LP: #1796139)
    - crypto: skcipher - Fix -Wstringop-truncation warnings
    - iio: adc: ina2xx: avoid kthread_stop() with stale task_struct
    - tsl2550: fix lux1_input error in low light
    - misc: ibmvmc: Use GFP_ATOMIC under spin lock
    - vmci: type promotion bug in qp_host_get_user_memory()
    - siox: don't create a thread without starting it
    - x86/numa_emulation: Fix emulated-to-physical node mapping
    - staging: rts5208: fix missing error check on call to rtsx_write_register
    - power: supply: axp288_charger: Fix initial constant_charge_current value
    - misc: sram: enable clock before registering regions
    - serial: sh-sci: Stop RX FIFO timer during port shutdown
    - uwb: hwa-rc: fix memory leak at probe
    - power: vexpress: fix corruption in notifier registration
    - iommu/amd: make sure TLB to be flushed before IOVA freed
    - Bluetooth: Add a new Realtek 8723DE ID 0bda:b009
    - USB: serial: kobil_sct: fix modem-status error handling
    - 6lowpan: iphc: reset mac_header after decompress to fix panic
    - iommu/msm: Don't call iommu_device_{,un}link from atomic context
    - s390/mm: correct allocate_pgste proc_handler callback
    - power: remove possible deadlock when unregistering power_supply
    - drm/amd/display/dc/dce: Fix multiple potential integer overflows
    - drm/amd/display: fix use of uninitialized memory
    - md-cluster: clear another node's suspend_area after the copy is finished
    - cxgb4: Fix the condition to check if the card is T5
    - RDMA/bnxt_re: Fix a couple off by one bugs
    - RDMA/i40w: Hold read semaphore while looking after VMA
    - RDMA/bnxt_re: Fix a bunch of off by one bugs in qplib_fp.c
    - IB/core: type promotion bug in rdma_rw_init_one_mr()
    - media: exynos4-is: Prevent NULL pointer dereference in __isp_video_try_fmt()
    - IB/mlx4: Test port number before querying type.
    - powerpc/kdump: Handle crashkernel memory reservation failure
    - media: fsl-viu: fix error handling in viu_of_probe()
    - vhost_net: Avoid tx vring kicks during busyloop
    - media: staging/imx: fill vb2_v4l2_buffer field entry
    - IB/mlx5: Fix GRE flow specification
    - include/rdma/opa_addr.h: Fix an endianness issue
    - x86/tsc: Add missing header to tsc_msr.c
    - ARM: hwmod: RTC: Don't assume lock/unlock will be called with irq enabled
    - x86/entry/64: Add two more instruction suffixes
    - ARM: dts: ls1021a: Add missing cooling device properties for CPUs
    - scsi: target/iscsi: Make iscsit_ta_authentication() respect the output
      buffer size
    - thermal: i.MX: Allow thermal probe to fail gracefully in case of bad
      calibration.
    - scsi: klist: Make it safe to use klists in atomic context
    - scsi: ibmvscsi: Improve strings handling
    - scsi: target: Avoid that EXTENDED COPY commands trigger lock inversion
    - usb: wusbcore: security: cast sizeof to int for comparison
    - ath10k: sdio: use same endpoint id for all packets...

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Xenial):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (20.0 KiB)

This bug was fixed in the package linux - 4.15.0-38.41

---------------
linux (4.15.0-38.41) bionic; urgency=medium

  * linux: 4.15.0-38.41 -proposed tracker (LP: #1797061)

  * Silent data corruption in Linux kernel 4.15 (LP: #1796542)
    - block: add a lower-level bio_add_page interface
    - block: bio_iov_iter_get_pages: fix size of last iovec
    - blkdev: __blkdev_direct_IO_simple: fix leak in error case
    - block: bio_iov_iter_get_pages: pin more pages for multi-segment IOs

linux (4.15.0-37.40) bionic; urgency=medium

  * linux: 4.15.0-37.40 -proposed tracker (LP: #1795564)

  * hns3: enable ethtool rx-vlan-filter on supported hw (LP: #1793394)
    - net: hns3: Add vlan filter setting by ethtool command -K

  * hns3: Modifying channel parameters will reset ring parameters back to
    defaults (LP: #1793404)
    - net: hns3: Fix desc num set to default when setting channel

  * hisi_sas: Add SATA FIX check for v3 hw (LP: #1794151)
    - scsi: hisi_sas: Add SATA FIS check for v3 hw

  * Fix potential corruption using SAS controller on HiSilicon arm64 boards
    (LP: #1794156)
    - scsi: hisi_sas: add memory barrier in task delivery function

  * hisi_sas: Reduce unnecessary spin lock contention (LP: #1794165)
    - scsi: hisi_sas: Tidy hisi_sas_task_prep()

  * Add functional level reset support for the SAS controller on HiSilicon D06
    systems (LP: #1794166)
    - scsi: hisi_sas: tidy host controller reset function a bit
    - scsi: hisi_sas: relocate some common code for v3 hw
    - scsi: hisi_sas: Implement handlers of PCIe FLR for v3 hw

  * HiSilicon SAS controller doesn't recover from PHY STP link timeout
    (LP: #1794172)
    - scsi: hisi_sas: tidy channel interrupt handler for v3 hw
    - scsi: hisi_sas: Fix the failure of recovering PHY from STP link timeout

  * getxattr: always handle namespaced attributes (LP: #1789746)
    - getxattr: use correct xattr length

  * Fix unusable NVIDIA GPU after S3 (LP: #1793338)
    - PCI: Reprogram bridge prefetch registers on resume

  * Fails to boot under Xen PV: BUG: unable to handle kernel paging request at
    edc21fd9 (LP: #1789118)
    - x86/EISA: Don't probe EISA bus for Xen PV guests

  * qeth: use vzalloc for QUERY OAT buffer (LP: #1793086)
    - s390/qeth: use vzalloc for QUERY OAT buffer

  * SRU: Enable middle button of touchpad on ThinkPad P72 (LP: #1793463)
    - Input: elantech - enable middle button of touchpad on ThinkPad P72

  * Dell new AIO requires a new uart backlight driver (LP: #1727235)
    - SAUCE: platform/x86: dell-uart-backlight: new backlight driver for DELL AIO
    - updateconfigs for Dell UART backlight driver

  * [Ubuntu] s390/crypto: Fix return code checking in cbc_paes_crypt.
    (LP: #1794294)
    - s390/crypto: Fix return code checking in cbc_paes_crypt()

  * hns3: Retrieve RoCE MSI-X config from firmware (LP: #1793221)
    - net: hns3: Fix MSIX allocation issue for VF
    - net: hns3: Refine the MSIX allocation for PF

  * net: hns: Avoid hang when link is changed while handling packets
    (LP: #1792209)
    - net: hns: add the code for cleaning pkt in chip
    - net: hns: add netif_carrier_off before change speed and duplex

  * Page leaki...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Colin Ian King (colin-king) wrote :

Tested with linux 4.4.0-193 and zfsutils 0.6.5.6-0ubuntu25 - marking as verified for xenial

tags: added: verification-done-xenial
removed: verification-needed-xenial

Hello Prakash, or anyone else affected,

Accepted zfs-linux into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/zfs-linux/0.6.5.6-0ubuntu26 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in zfs-linux (Ubuntu Xenial):
status: New → Fix Committed
Colin Ian King (colin-king) wrote :

Tested with linux 4.4.0-139-generic #165 and zfsutils 0.6.5.6-0ubuntu26 - marking as verified for xenial

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zfs-linux - 0.6.5.6-0ubuntu26

---------------
zfs-linux (0.6.5.6-0ubuntu26) xenial; urgency=medium

  * Fix error exit when using -t option (LP: #1769937)
    - Upstream ZFS fix 4ceb8dd6fdfd ("Fix 'zpool create -t <tempname>'")
      fixes error message and error exit when using the -t option
      when creating a pool.

 -- Colin Ian King <email address hidden> Wed, 10 Oct 2018 12:16:47 +0100

Changed in zfs-linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.0 KiB)

This bug was fixed in the package linux - 4.4.0-139.165

---------------
linux (4.4.0-139.165) xenial; urgency=medium

  * linux: 4.4.0-139.165 -proposed tracker (LP: #1799401)

  * Kernel panic after the ubuntu_nbd_smoke_test on Xenial kernel (LP: #1793464)
    - nbd: Remove signal usage
    - nbd: Timeouts are not user requested disconnects
    - nbd: Cleanup reset of nbd and bdev after a disconnect
    - nbd: don't shutdown sock with irq's disabled
    - nbd: fix race in ioctl

  * fscache: bad refcounting in fscache_op_complete leads to OOPS (LP: #1797314)
    - SAUCE: fscache: Fix race in decrementing refcount of op->npages

  * xenial: virtio-scsi: CPU soft lockup due to loop in
    virtscsi_target_destroy() (LP: #1798110)
    - SAUCE: (no-up) virtio-scsi: Decrement reqs counter before SCSI command
      requeue

  * Error reported when creating ZFS pool with "-t" option, despite successful
    pool creation (LP: #1769937)
    - SAUCE: (noup) Update zfs to 0.6.5.6-0ubuntu26

  * Xenial update: 4.4.160 upstream stable release (LP: #1798770)
    - crypto: skcipher - Fix -Wstringop-truncation warnings
    - tsl2550: fix lux1_input error in low light
    - vmci: type promotion bug in qp_host_get_user_memory()
    - x86/numa_emulation: Fix emulated-to-physical node mapping
    - staging: rts5208: fix missing error check on call to rtsx_write_register
    - uwb: hwa-rc: fix memory leak at probe
    - power: vexpress: fix corruption in notifier registration
    - Bluetooth: Add a new Realtek 8723DE ID 0bda:b009
    - USB: serial: kobil_sct: fix modem-status error handling
    - 6lowpan: iphc: reset mac_header after decompress to fix panic
    - md-cluster: clear another node's suspend_area after the copy is finished
    - media: exynos4-is: Prevent NULL pointer dereference in __isp_video_try_fmt()
    - powerpc/kdump: Handle crashkernel memory reservation failure
    - media: fsl-viu: fix error handling in viu_of_probe()
    - x86/tsc: Add missing header to tsc_msr.c
    - x86/entry/64: Add two more instruction suffixes
    - scsi: target/iscsi: Make iscsit_ta_authentication() respect the output
      buffer size
    - scsi: klist: Make it safe to use klists in atomic context
    - scsi: ibmvscsi: Improve strings handling
    - usb: wusbcore: security: cast sizeof to int for comparison
    - powerpc/powernv/ioda2: Reduce upper limit for DMA window size
    - alarmtimer: Prevent overflow for relative nanosleep
    - s390/extmem: fix gcc 8 stringop-overflow warning
    - ALSA: snd-aoa: add of_node_put() in error path
    - media: s3c-camif: ignore -ENOIOCTLCMD from v4l2_subdev_call for s_power
    - media: soc_camera: ov772x: correct setting of banding filter
    - media: omap3isp: zero-initialize the isp cam_xclk{a,b} initial data
    - staging: android: ashmem: Fix mmap size validation
    - drivers/tty: add error handling for pcmcia_loop_config
    - media: tm6000: add error handling for dvb_register_adapter
    - ALSA: hda: Add AZX_DCAPS_PM_RUNTIME for AMD Raven Ridge
    - ath10k: protect ath10k_htt_rx_ring_free with rx_ring.lock
    - rndis_wlan: potential buffer overflow in rndis_wlan_auth_indication()
    - wlcore: Add missing PM call fo...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers